Dashboard

List sectors

GET/api/symbols/sectors

Free Starter Stock ETF Pro

Returns all business sectors with the number of stocks in each. Sectors come from SFIC (StockFit Industry Classification), our proprietary taxonomy that maps each company to one of 12 economic sectors. It is more accurate and peer-consistent than raw SEC SIC divisions.

Get API key Try it live in the API explorer

Query parameters

This endpoint takes no query parameters.

Example request

curl 'https://api.stockfit.io/v1/api/symbols/sectors' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Responses

200 OK

List of sectors

Response schema

array of:
  • sector string

    SFIC sector name

  • symbolCount integer

    Number of stocks in this sector

Example response

[
  {
    "sector": "Information Technology",
    "symbolCount": 1205
  }
]

403 Forbidden

Feature not available on current plan

Response schema

  • error string

    Human-readable error message

Example response

{}